Summary: X MultiMedia System output plugin for the aRts sound system
Name: xmms-arts
Version: 0.7.1
Release: 6
License: GPLv2
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source: http://havardk.xmms.org/plugins/arts_output/arts_output-%{version}.tar.gz
Patch: arts_output-0.6.0-buffer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms-libs
BuildRequires: xmms-devel, arts-devel > 1.2.0-1.5
Conflicts: arts < 1.2.0-1.5
Conflicts: xmms < 1:1.2.10-15

%description
X MultiMedia System output plugin to use aRts (analog real-time synthesizer),
the KDE sound system.


%prep
%setup -q -n arts_output-%{version}
# Bump up the default buffer size to avoid audio artifacts
%patch -p1 -b .buffer


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/xmms-arts-helper
%exclude %{_libdir}/xmms/Output/libarts.la
%{_libdir}/xmms/Output/libarts.so


%changelog
* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.7.1-6
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.7.1-5
- Update License field.
- Remove dist tag, since the package will seldom change.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-4
- FC6 rebuild.

* Wed May 31 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-3
- Fix problems reported by Ville in #193600 : Require explicitly xmms-libs,
  don't own the Output/ directory and exclude the .la file.
- Add dist tag to the release.

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.7.1-2
- Add missing make call in %%build.

* Thu Apr 14 2005 Matthias Saou <http://freshrpms.net/> 0.7.1-1
- Split off xmms-arts from the main xmms package.

